Subject: Re: bug#20743: 24.4; Meta on left win key doesn't work

From: [email-masked] (N. Jackson)
Date: Wed, 10 Jun 2015 23:46:12 -0300

At 04:39 -0300 on Friday 2015-06-05, André Wöbbeking wrote:

> Hi,
>
> I've a MicroSoft keyboard (german layout) and want the left Win key
> to be Meta and the left Alt to be Alt. To achieve this I used KDE's
> system settings for input devices (advanced options). After I changed
> the settings xev reports the left Win key as Meta and also all Qt/KDE
> programs do. But in Emacs left Win key gives me Hyper and left Alt
> gives me Meta.

Emacs <META> is usually Alt on modern mainstream systems (see
M-: (info "(emacs) User Input")).

Do you get the results you want in Emacs if you map that left logo key
to Alt instead of to KDE's idea of Meta?